/*********************************************************************
*                                                                    *          
*                              FLY                                   *
*                           --E#Y#E--				     *
*                         ===MUSCLE===                               *
*                                                                    *
*********************************************************************/
#ifndef OPENGL_H_
#define OPENGL_H_
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include <GL/glew.h>
#include <GL/gl.h>
#include <GL/glx.h>
#include <GL/glu.h>
#include "texture.h"
#include "uniform.h"
#include "win.h"

//---------------------------------------------------------------------------

class FLY
{
public:
	/* Function */
	void loadPNG();
	void init(bool night);
	void Landscape(bool texture, bool cloud);
	void Cockpit();
	void fontEvent();
	void process_event(XEvent report);

private:
	/* Textures Coordinate */
	struct f_texture
	{
		GLfloat s;
		GLfloat t;
	};

	/* Init Triangles */
	struct f_triangles
	{
		GLfloat x;
		GLfloat y;
		GLfloat z;
	};

	/* Structure Float */
	struct f_float
	{
		struct f_texture tex;
		struct f_triangles tri;
	}gl;
};

//---------------------------------------------------------------------------

#endif
